
/*
 *
 * Copyright (c) 2006-2007 Solexa
 * Author: Lorenzo Milazzo
 *
 * This source file is covered by the "Solexa Public Source License"
 * agreement and bound by the terms therein.
 *
 */

//
// CVS - $Id: sampling.h,v 1.4 2007/03/01 11:32:47 lm Exp $
//



#ifndef __SAMPLING_H__
#define __SAMPLING_H__


float getYAxisData(const float *bin_data, const int b_start, const int b_end);
void sampling1(const char base, const int no_i_values, const float *i_data,
               float *xaxis_data,
               float *yaxis_data1, float *yaxis_data2, float *yaxis_data3);
void sampling2(const int no_i_values, const float *i_data,
               float *i_data_bA, float *i_data_bC,
               float *i_data_bG, float *i_data_bT,
               int &no_i_values_bA, int &no_i_values_bC,
               int &no_i_values_bG, int &no_i_values_bT);
void sampling3(const float *i_data_i, const int no_i_values_i,
               float *i_data_f, int &no_i_values_f);


#endif /* __SAMPLING_H__ */
