
/*
 *
 * Copyright (c) 2006-2007 Solexa
 * Author: Lorenzo Milazzo
 *
 * This source file is covered by the "Solexa Public Source License"
 * agreement and bound by the terms therein.
 *
 */

//
// CVS - $Id: savinio_exceptions.cpp,v 1.2 2007/01/19 14:03:06 lm Exp $
//


#include <iostream>

#include "savinio_common.h"

#include "savinio_exceptions.h"


Exception01::Exception01(char *input_file, int no_i_values)
{
   char str1 [10];
   int no_clusters;

   no_clusters = (no_i_values/NO_BASES);
   sprintf(str1, "%d", no_clusters);

   error_msg.append("> Savinio - warning\nvalidation checks on input: the no. of clusters detected is too low\n");
   error_msg.append("(intensity input file: ");
   error_msg.append(input_file);
   error_msg.append("; no. of clusters: ");
   error_msg.append(str1); 
   error_msg.append(")");

}

void Exception01::display(void)
{
    std::cerr << error_msg << std::endl;

}


Exception02::Exception02()
{
   error_msg.append("> Savinio - warning\nthe scaling of the cross-talk matrix failed");


}

void Exception02::display(void)
{
    std::cerr << error_msg << std::endl;

}
