/*
 * Copyright (c) 2006
 * Author: Klaus Maisinger
 * This source file is covered by the "Solexa Public Source License"
 * agreement and bound by the terms therein.
 */
#ifndef STATS_H_
#define STATS_H_

int linregress(float *x, float *y, int ndim,
               float *gradient, float *intercept);
float L1norm(float *x, float *y, int n);
int round(float f);
float average(float *x, int n);
float min(float *a, int n);
float max(float *a, int n);

#endif /*STATS_H_*/
