
/*
 *
 * Copyright (c) 2006-2007 Solexa
 * Author: Klaus Maisinger
 *
 * This source file is covered by the "Solexa Public Source License"
 * agreement and bound by the terms therein.
 *
 */

//
// CVS - $Id: BaseCallConfig.h,v 1.5 2007/02/28 18:57:45 km Exp $
//

#ifndef BASECALLCONFIG_H_
#define BASECALLCONFIG_H_

const char software[] = "Bustard";
const char software_version[] = "1.8.28";

const int  default_cluster_allocation = 100000;
const int  N_COLOURS = 4;
const float max_score = 40.; // maximum quality score
const int  mc_samples = 200; // number of Monte-Carlo samples

#endif /*BASECALLCONFIG_H_*/
