
/*
 *
 * Copyright (c) 2006-2007 Solexa
 * Author: Klaus Maisinger
 *
 * This source file is covered by the "Solexa Public Source License"
 * agreement and bound by the terms therein.
 *
 */

//
// CVS - $Id: BaseCallParamsXMLReader.h,v 1.1 2007/01/25 13:39:44 lm Exp $
//

#ifndef BASECALLPARAMSXMLREADER_H_
#define BASECALLPARAMSXMLREADER_H_

#include "XMLContentHandler.h"

class BaseCallParamsXMLReader : public XMLContentHandler
{
    int inParameters, inPhasing, inPrephasing;
    float phasing, prephasing;
public:
    BaseCallParamsXMLReader();
    virtual ~BaseCallParamsXMLReader();
    virtual void startDocument();
    virtual void startElement(const char name[]);
    virtual void endElement(const char name[]);
    virtual void characters(const char ch[], int start, int length);
    float getPhasing()     { return phasing; }
    float getPrephasing()  { return prephasing; }
};

#endif /* BASECALLPARAMSXMLREADER_H_*/
