/*
 * Copyright (c) Solexa 2006
 * Author:
 * Klaus Maisinger
 * This source file is covered by the "Solexa Public Source License"
 * agreement and bound by the terms therein.
 */
#ifndef JOURNALPARSER_H_
#define JOURNALPARSER_H_

#include <cstdio>
#include "Images.h"

int parse_journal(const char *journal_filename,
                  char output_filename[FILENAME_MAX], 
                  int *ncycle, int *ncolour, int *npos,
                  ImageList ***image_list, unsigned char **base_list,
                  int *call_base_flag);

#endif /*JOURNALPARSER_H_*/
