/*  Time-stamp: <26 Jun 2006 17:09 BST plot_image.h km> */
/*
 * Copyright (c) Solexa 2006
 * Author:
 * Klaus Maisinger
 * This source file is covered by the "Solexa Public Source License"
 * agreement and bound by the terms therein.
 */

#ifndef _PLOT_IMAGE_H
#define _PLOT_IMAGE_H

#include "ImageProcess.h"

float average(float *x, int n);
void plot_image(unsigned short *image, int nx, int ny,
                float ymin = 0., float ymax = 0.);
void plot_image(float *image, int nx, int ny,
                float ymin = 0., float ymax = 0.);
void plot_pixels(st_pixel *positions, int imin, int imax, int nx, int ny);
void plot_fpositions(st_fposition *positions, int imin, int imax, 
                     int nx, int ny);

#endif /* _PLOT_IMAGE_H */
